API referenceAdmin
Update Flag
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
flagId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/flags/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "key": "string", "name": "string", "description": "string", "owner": "string", "category": "string", "controlType": "release", "registered": true, "status": "enabled", "rollout": 0, "environment": "development", "target": "string", "changedBy": "string", "changedAt": "string", "risk": "low", "linkedExperimentId": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}